"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.starLocalDevDeps = void 0;
const partialClonePackageInfo_1 = require("../utils/partialClonePackageInfo");
const getWorkspaceInfo_1 = require("../utils/getWorkspaceInfo");
const writePackageJsonUpdates_1 = require("../utils/writePackageJsonUpdates");
function starLocalDevDeps(write = true) {
    const { packageInfos, localPackages } = (0, getWorkspaceInfo_1.getWorkspaceInfo)();
    const updatedPackageInfos = Object.values(packageInfos)
        .map((packageInfo) => {
        if (!packageInfo.devDependencies) {
            return;
        }
        let updatedInfo;
        for (const localDep of localPackages) {
            if (packageInfo.devDependencies[localDep] &&
                packageInfo.devDependencies[localDep] !== '*') {
                updatedInfo ?? (updatedInfo = (0, partialClonePackageInfo_1.partialClonePackageInfo)(packageInfo, ['devDependencies']));
                updatedInfo.devDependencies[localDep] = '*';
            }
        }
        return updatedInfo;
    })
        .filter((p) => !!p);
    if (write) {
        (0, writePackageJsonUpdates_1.writePackageJsonUpdates)(updatedPackageInfos);
    }
    return updatedPackageInfos;
}
exports.starLocalDevDeps = starLocalDevDeps;
