"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWorkspaceInfo = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const workspace_tools_1 = require("workspace-tools");
function getWorkspaceInfo() {
    const workspaceRoot = (0, workspace_tools_1.getWorkspaceRoot)(process.cwd());
    if (!workspaceRoot) {
        throw new Error('Directory does not appear to be within a workspace: ' + process.cwd());
    }
    const rootPackageJsonPath = path_1.default.join(workspaceRoot, 'package.json');
    const rootPackageInfo = {
        packageJsonPath: rootPackageJsonPath,
        ...JSON.parse(fs_1.default.readFileSync(rootPackageJsonPath, 'utf8')),
    };
    const packageInfos = (0, workspace_tools_1.getPackageInfos)(workspaceRoot);
    return {
        workspaceRoot,
        rootPackageInfo,
        packageInfos,
        localPackages: Object.keys(packageInfos),
    };
}
exports.getWorkspaceInfo = getWorkspaceInfo;
