"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.partialClonePackageInfo = void 0;
/**
 * Clone a PackageInfo, deeply cloning only specified fields.
 */
function partialClonePackageInfo(packageInfo, fields) {
    const clone = { ...packageInfo };
    for (const field of fields) {
        if (packageInfo[field]) {
            clone[field] = { ...packageInfo[field] };
        }
    }
    return clone;
}
exports.partialClonePackageInfo = partialClonePackageInfo;
